Segurança Social

Segurança Social

Serviços de integração com a Segurança Social.


SS-DocToPay (Segurança Social)

serviceName: ss-docToPay

Endpoint to retrieve the document for the user to pay from Segurança Social

Request Example

{
  "serviceName": "ss-docToPay",
  "region": {
    "countryPortal": "pt",
    "jurisdictionCode": "pt"
  },
  "payload": {
    "serviceRequestBody": {
      "user": "<valid niss>",
      "password": "test"
    }
  }
}

Response Example

{
  "data": {
    "requestId": ""
  },
  "file": "<base64EncodedFile>"
}

SS-No-Debt (Segurança Social)

serviceName: ss-no-debt

Endpoint to retrieve the document "Dívida/Não Dívida" from Segurança Social

Request Example

{
  "serviceName": "ss-no-debt",
  "region": {
    "countryPortal": "pt",
    "jurisdictionCode": "pt"
  },
  "payload": {
    "serviceRequestBody": {
      "user": "<valid niss>",
      "password": "test"
    }
  }
}

Response Example

{
  "data": {
    "requestId": ""
  },
  "file": "<base64EncodedFile>"
}

SS-SA (Segurança Social)

serviceName: ss-situacao-atual

The endpoint returns the current situation coming from Segurança Social

Request Example

{
  "serviceName": "ss-situacao-atual",
  "region": {
    "countryPortal": "pt",
    "jurisdictionCode": "pt"
  },
  "payload": {
    "serviceRequestBody": {
      "user": "<valid niss>",
      "password": "test"
    }
  }
}

Response Example

{
  "data": {
    "requestId": "771b65e2-cab3-4f53-ae2f-e2bcb59457a1",
    "total_values_to_receive": "70.0€",
    "next_values_to_receive": "20.0€",
    "values_not_received": "30.0€",
    "other_values_to_receive": "20.0€",
    "total_values_to_return_and_pay": "682.5€",
    "notifications_for_value_restitution": {
      "total": "160.0€",
      "color": "yellow",
      "details": [
        {
          "notification": "Exemplo de Notificação",
          "date": "10-03-2025",
          "value": "90.0€",
          "message": ""
        },
        {
          "notification": "Exemplo de Notificação",
          "date": "19-06-2025",
          "value": "70.0€",
          "message": ""
        }
      ]
    },
    "other_values_to_return": {
      "total": "70.0€",
      "color": "yellow",
      "details": [
        {
          "notification": "Exemplo de Notificação",
          "value": "70.0€",
          "message": ""
        }
      ]
    },
    "current_contributions": {
      "total": "240.0€",
      "color": "yellow",
      "details": [
        {
          "notification": "Exemplo de notificação",
          "date": "10-03-2025",
          "value": "90.0€",
          "message": ""
        },
        {
          "notification": "Exemplo de notificação",
          "date": "21-12-2025",
          "value": "90.0€",
          "message": ""
        },
        {
          "notification": "Exemplo de notificação",
          "date": "19-06-2025",
          "value": "60.0€",
          "message": ""
        }
      ]
    },
    "contributions_in_arrears": {
      "total": "32.5€",
      "color": "red",
      "details": [
        {
          "notification": "Entidade Empregadora",
          "value": "32.5€",
          "interest_value": "0.0€",
          "total_value": "32.5€",
          "message": ""
        }
      ]
    },
    "fines_and_costs": {
      "total": "0.0€",
      "color": "green",
      "details": [
        {
          "notification": "",
          "total_value": "",
          "costs_value": "",
          "fines_value": "",
          "message": "Sem valores a apresentar"
        }
      ]
    },
    "other_values_to_pay": {
      "total": "100.0€",
      "color": "yellow",
      "details": [
        {
          "notification": "Exemplo de notificação",
          "value": "100.0€",
          "message": ""
        }
      ]
    },
    "debt_in_fiscal_execution": {
      "total": "80.0€",
      "color": "red",
      "details": [
        {
          "value": "50.0€",
          "interest_value": "10.0€",
          "total_value": "80.0€",
          "costs_value": "10.0€",
          "message": ""
        }
      ]
    },
    "days_declaration_remunerations": "green",
    "deadline_expired_declaration_remunerations": "green",
    "days_tsu": "red",
    "deadline_expired_tsu": "green",
    "flag": "red"
  }
}